/* ----------
 *	pgarch.h
 *
 *	Definitions for the PostgreSQL archiver daemon.
 *
 * ----------
 */

/* ----------
 * Timer definitions.
 * ----------
 */
#define PGARCH_AUTOWAKE_INTERVAL 600	/* How often to wake and poll */
#define PGARCH_RESTART_INTERVAL 60		/* How often to attempt to restart */
 /* a failed statistics collector; in seconds. */

#define NUM_ARCHIVE_RETRIES 3

/* ----------
 * Other global variables
 * ----------
 */
extern bool pgarch_is_running;

/* ----------
 * Functions called from postmaster
 * ----------
 */
extern void pgarch_start(void);
extern bool pgarch_ispgarch(int pid);
extern void SendArchiverSignal(void);

